public class Boisson extends Comestible{
	
	private int poids=0;
	private int resistanceMat=0;
	private int structureMat=0;
	private int niveau=0;
	
	///////
	private String trueName=new String();
	private String trueNameE=new String();
	private boolean identified=false;
	
	public String getTrueName(){
		return trueName;		
	}
	public String getTrueNameE(){
		return trueNameE;
	}
	public boolean getIdentified(){
		return identified;
	}
	public void setIdentified(boolean si){
		identified=si;
	}
	public void setTrueNames(String tn,String tnE){
		trueName=tn;
		trueNameE=tnE;
	}
	/////////////
	
	
	
		
	public Boisson(boolean casse,String modele,String nom,String nomE,String typeObjet,boolean visible,String tileStr){
		super(casse,modele,nom,nomE,typeObjet,visible,tileStr);
		
		structureMat=1;
		resistanceMat=5;
		poids=1;
		
		
		
		
		if(modele.compareTo("lessermanapotion")==0){
			niveau=1;
			trueName="Potion de mana mineur";
			trueNameE="Minor mana potion";
		}
			
		if(modele.compareTo("mediummanapotion")==0){
			niveau=5;
			trueName="Potion de mana medium";
			trueNameE="Medium mana potion";
		}
			
		if(modele.compareTo("majormanapotion")==0){
			niveau=10;
			trueName="Potion de mana majeur";
			trueNameE="Major mana potion";
		}
		
		
		/////
		
		if(modele.compareTo("lesserhealingpotion")==0){
			niveau=1;
			trueName="Potion de soin mineur";
			trueNameE="Minor healing potion";
		}
			
		if(modele.compareTo("mediumhealingpotion")==0){
			niveau=5;
			trueName="Potion de soin medium";
			trueNameE="Medium healing potion";
		}
			
		if(modele.compareTo("majorhealingpotion")==0){
			niveau=10;
			trueName="Potion de soin majeur";
			trueNameE="Major healing potion";
		}
			
		if(modele.compareTo("lesserpoison")==0){
			niveau=1;
			trueName="Poison mineur";
			trueNameE="Major poison";
		}
			
		if(modele.compareTo("mediumpoison")==0){
			niveau=5;
			trueName="Poison moyen";
			trueNameE="Medium poison";
		}
			
		if(modele.compareTo("majorpoison")==0){
			niveau=10;
			trueName="Poison majeur";
			trueNameE="Major poison";
		}
		
		if(modele.compareTo("speedpotion")==0){
			niveau=5;
			trueName="Potion de vitesse";
			trueNameE="Potion of Speed";
		}
		
		if(modele.compareTo("slowpotion")==0){
			niveau=5;
			trueName="Potion de ralentissement";
			trueNameE="Potion of deceleration";
		}
		
		if(modele.compareTo("fountain")==0){
			niveau=5;
			poids=100000;
			structureMat=100;
			resistanceMat=50;
			trueName="Fontaine magique";
			trueNameE="Magique fountain";
		}
			
		
	}
	
	public int getNiveau(){
		return niveau;
	}
	
	public int getPoids(){
		return poids;
	}
	
	public void setPoids(int pds){
		poids=pds;
	}
	
	public int getResistanceMat(){
		return resistanceMat;
	}
	
	public void setResistanceMat(int res){
		resistanceMat=res;
	}
	
		public int getStructureMat(){
		return structureMat;
	}
	
	public void setStructureMat(int struct){
		structureMat=struct;
	}
	
	
	/////LANCER PAR DRINK (q)/////////////
	public void effetBoisson(Entite buveur,Monde monde,boolean lance){

//!!!!		
// note = il faudra autre chose pour le cas où la potion est lancée sur une créature (ou même sur le perso)
// effetBoisson ne devra servir que si l'entite boit volontairement
//!!!!	CF Personnage, ligne 4025

		
		if(buveur.getTypeObjet().compareTo("PJ")==0){
			System.out.println("Buveur PERSO="+ buveur.getNom());
			
		}
		else{System.out.println("Buveur CREATURE"+ buveur.getNom());}	
		
		
		
		
		
		if(getModele().compareTo("lessermanapotion")==0){
			if(buveur.getTypeObjet().compareTo("PJ")==0){
				monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
				monde.jeuPan.messagesPanel.remplissageMessages("Vous recuperez 15 pts de pouvoir !",false);
				
				monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
				monde.jeuPan.messagesPanel.remplissageMessages("You recover 15 power points!",true);
			}
			else{
				if(!lance){
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" boit "+this.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" drink "+this.getNomE(),true);
				
				}
				else{
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNom()+" se brise sur "+buveur.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNomE()+" hits "+buveur.getNomE(),true);
				
				}
				
			}
			
			
			if(!lance){
				buveur.setCurrentPower(buveur.getCurrentPower()+15);
			}
			else{
				buveur.setCurrentPower(buveur.getCurrentPower()+5);
			}	
				
			
			if(buveur.getCurrentPower()>buveur.getMaxPower()){
				buveur.setCurrentPower(buveur.getMaxPower());
			}
		}
			
		if(getModele().compareTo("mediummanapotion")==0){
			if(buveur.getTypeObjet().compareTo("PJ")==0){
				monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
				monde.jeuPan.messagesPanel.remplissageMessages("Vous recuperez 30 pts de pouvoir !",false);
				
				monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
				monde.jeuPan.messagesPanel.remplissageMessages("You recover 30 power points!",true);
			}
			else{
				if(!lance){
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" boit "+this.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" drink "+this.getNomE(),true);
				}
				else{
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNom()+" se brise sur "+buveur.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNomE()+" hits "+buveur.getNomE(),true);
				
				}	
				
			}
			
			
				
			if(!lance){
					buveur.setCurrentPower(buveur.getCurrentPower()+30);
			}
			else{
				buveur.setCurrentPower(buveur.getCurrentPower()+15);
			}	
				
				
			
			if(buveur.getCurrentPower()>buveur.getMaxPower()){
				buveur.setCurrentPower(buveur.getMaxPower());
			}
		}
			
		if(getModele().compareTo("majormanapotion")==0){
			if(buveur.getTypeObjet().compareTo("PJ")==0){
				monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
				monde.jeuPan.messagesPanel.remplissageMessages("Vous recuperez 60 pts de pouvoir !",false);
				
				monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
				monde.jeuPan.messagesPanel.remplissageMessages("You recover 60 power points!",true);
			}
			else{
				if(!lance){
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" boit "+this.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" drink "+this.getNomE(),true);
				}
				else{
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNom()+" se brise sur "+buveur.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNomE()+" hits "+buveur.getNomE(),true);
				
				}
				
			}
			
				
			if(!lance){
				buveur.setCurrentPower(buveur.getCurrentPower()+60);
			}
			else{
				buveur.setCurrentPower(buveur.getCurrentPower()+30);
			}	
				
			
			if(buveur.getCurrentPower()>buveur.getMaxPower()){
				buveur.setCurrentPower(buveur.getMaxPower());
			}
		
		}
		
		
		
		
		//////////
	
		if(getModele().compareTo("lesserhealingpotion")==0){
			if(buveur.getTypeObjet().compareTo("PJ")==0){
				monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
				monde.jeuPan.messagesPanel.remplissageMessages("Vous recuperez 30 pts de vie !",false);
				
				monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
				monde.jeuPan.messagesPanel.remplissageMessages("You recover 30 hits points !",true);
			}
			else{
				if(!lance){
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" boit "+this.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" drink "+this.getNomE(),true);
				}
				else{
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNom()+" se brise sur "+buveur.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNomE()+" hits "+buveur.getNomE(),true);
				
				}	
				
				if(!buveur.getMort()){
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" semble aller mieux",false);
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" feels better",true);
				}
			}
			
			
				
				
			if(!lance){
				buveur.setCurrentHitPts(buveur.getCurrentHitPts()+30);
			}
			else{
				buveur.setCurrentHitPts(buveur.getCurrentHitPts()+15);
			}	
				
			
			if(buveur.getCurrentHitPts()>buveur.getMaxHitPts()){
				buveur.setCurrentHitPts(buveur.getMaxHitPts());
			}
			
			
		}
		
		
		if(getModele().compareTo("mediumhealingpotion")==0){
			if(buveur.getTypeObjet().compareTo("PJ")==0){
				monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
				monde.jeuPan.messagesPanel.remplissageMessages("Vous recuperez 60 pts de vie !",false);
				
				monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
				monde.jeuPan.messagesPanel.remplissageMessages("You recover 60 hits points !",true);
			}
			else{
				if(!lance){
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" boit "+this.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" drink "+this.getNomE(),true);
				}
				else{
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNom()+" se brise sur "+buveur.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNomE()+" hits "+buveur.getNomE(),true);
				
				}
					
				if(!buveur.getMort()){
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" semble aller mieux",false);
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" feels better",true);
				}
			}
			
			
			
			if(!lance){
					buveur.setCurrentHitPts(buveur.getCurrentHitPts()+60);
			}
			else{
				buveur.setCurrentHitPts(buveur.getCurrentHitPts()+30);
			}	
			
			if(buveur.getCurrentHitPts()>buveur.getMaxHitPts()){
				buveur.setCurrentHitPts(buveur.getMaxHitPts());
			}
			
			
		}
		
		
		if(getModele().compareTo("majorhealingpotion")==0){
			if(buveur.getTypeObjet().compareTo("PJ")==0){
				monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
				monde.jeuPan.messagesPanel.remplissageMessages("Vous recuperez 100 pts de vie !",false);
				
				monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
				monde.jeuPan.messagesPanel.remplissageMessages("You recover 100 hits points !",true);
			}
			else{
				if(!lance){
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" boit "+this.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" drink "+this.getNomE(),true);
				}
				else{
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNom()+" se brise sur "+buveur.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNomE()+" hits "+buveur.getNomE(),true);
				
				}
				
				if(!buveur.getMort()){
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" semble aller mieux",false);
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" feels better",true);
				}
			}
			
			
			
				
			if(!lance){
					buveur.setCurrentHitPts(buveur.getCurrentHitPts()+100);
			}
			else{
				buveur.setCurrentHitPts(buveur.getCurrentHitPts()+50);
			}	
				
			
			if(buveur.getCurrentHitPts()>buveur.getMaxHitPts()){
				buveur.setCurrentHitPts(buveur.getMaxHitPts());
			}
			
			
		}
		
	
	

	
		if(getModele().compareTo("lesserpoison")==0){
			if(buveur.getTypeObjet().compareTo("PJ")==0){
				monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
				monde.jeuPan.messagesPanel.remplissageMessages("C est du poison !!!",false);
				//monde.jeuPan.messagesPanel.remplissageMessages("Vous perdez 20 pts de vie",false);
				
				monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
				monde.jeuPan.messagesPanel.remplissageMessages("Poison !!!",true);
				//monde.jeuPan.messagesPanel.remplissageMessages("You lose 20 hit points",true);
			}
			else{
				if(!lance){
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" boit "+this.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" drink "+this.getNomE(),true);
				}
				else{
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNom()+" se brise sur "+buveur.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNomE()+" hits "+buveur.getNomE(),true);
				
				}	
				
				monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" est empoisonne",false);
				monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" is poisonned",true);
			}
			
			//perso.setCurrentHitPts(perso.getCurrentHitPts()-20);
			
			
			
			
			if(!lance){
					buveur.setDegatPoisonned(buveur.getDegatPoisonned()+5);
			}
			else{
				buveur.setDegatPoisonned(buveur.getDegatPoisonned()+2);
			}
			
			
			buveur.setPoisonned(true);
			buveur.setDureeEffetPoisonned(buveur.getDureeEffetPoisonned()+((int)(Math.abs(Math.random()*100))+1));
			
		}
		
		
		if(getModele().compareTo("mediumpoison")==0){
			if(buveur.getTypeObjet().compareTo("PJ")==0){
				monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
				monde.jeuPan.messagesPanel.remplissageMessages("C est du poison !!!",false);
				//monde.jeuPan.messagesPanel.remplissageMessages("Vous perdez 50 pts de vie",false);
				
				monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
				monde.jeuPan.messagesPanel.remplissageMessages("Poison !!!",true);
				//monde.jeuPan.messagesPanel.remplissageMessages("You lose 50 hit points",true);
			}
			else{
				if(!lance){
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" boit "+this.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" drink "+this.getNomE(),true);
				}
				else{
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNom()+" se brise sur "+buveur.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNomE()+" hits "+buveur.getNomE(),true);
				
				}
				
				monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" est empoisonne",false);
				monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" is poisonned",true);
			}
			
			//perso.setCurrentHitPts(perso.getCurrentHitPts()-50);
			
				
			if(!lance){
				buveur.setDegatPoisonned(buveur.getDegatPoisonned()+10);
			}
			else{
				buveur.setDegatPoisonned(buveur.getDegatPoisonned()+5);
			}	
			
			buveur.setPoisonned(true);
			buveur.setDureeEffetPoisonned(buveur.getDureeEffetPoisonned()+((int)(Math.abs(Math.random()*100))+1));
			
			
		}
		
		
		if(getModele().compareTo("majorpoison")==0){
			if(buveur.getTypeObjet().compareTo("PJ")==0){
				monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
				monde.jeuPan.messagesPanel.remplissageMessages("C est du poison !!!",false);
				//monde.jeuPan.messagesPanel.remplissageMessages("Vous perdez 100 pts de vie",false);
				
				monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
				monde.jeuPan.messagesPanel.remplissageMessages("Poison !!!",true);
				//monde.jeuPan.messagesPanel.remplissageMessages("You lose 100 hit points",true);
			}
			else{
				if(!lance){
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" boit "+this.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" drink "+this.getNomE(),true);
				}
				else{
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNom()+" se brise sur "+buveur.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNomE()+" hits "+buveur.getNomE(),true);
				
				}	
				
				monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" est empoisonne",false);
				monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" is poisonned",true);
			}
			
			
			//perso.setCurrentHitPts(perso.getCurrentHitPts()-100);
			
			if(!lance){
				buveur.setDegatPoisonned(buveur.getDegatPoisonned()+20);
			}
			else{
				buveur.setDegatPoisonned(buveur.getDegatPoisonned()+10);
			}
			
			
			buveur.setPoisonned(true);
			buveur.setDureeEffetPoisonned(buveur.getDureeEffetPoisonned()+((int)(Math.abs(Math.random()*100))+1));
			
			
			
		}
		





//////////////////////////////	temporaire
//////////////////////////////	temporaire
//////////////////////////////	temporaire
if(buveur.getTypeObjet().compareTo("PJ")==0){ // que pour le Perso pour le moment	

		
		
		if(getModele().compareTo("speedpotion")==0){
			if(buveur.getTypeObjet().compareTo("PJ")==0){
				monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
				monde.jeuPan.messagesPanel.remplissageMessages("Vous vous sentez plus rapide",false);
				
				monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
				monde.jeuPan.messagesPanel.remplissageMessages("You are quicker than ever !",true);
			}
			else{
				if(!lance){
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" boit "+this.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" drink "+this.getNomE(),true);
				}
				else{
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNom()+" se brise sur "+buveur.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNomE()+" hits "+buveur.getNomE(),true);
				
				}	
				
			}
			
			buveur.setRapidite((int)(Math.abs(Math.random()*3))+2);
			buveur.setDureeEffetSpeed((int)(Math.abs(Math.random()*100))+1);
			
		}
		
		
		
		if(getModele().compareTo("slowpotion")==0){
			if(buveur.getTypeObjet().compareTo("PJ")==0){
				monde.jeuPan.messagesPanel.remplissageMessages("Vous buvez",false);
				monde.jeuPan.messagesPanel.remplissageMessages("Le temps defile a toute vitesse !",false);
				
				monde.jeuPan.messagesPanel.remplissageMessages("You drink",true);
				monde.jeuPan.messagesPanel.remplissageMessages("You slow down...",true);
			}
			else{
				if(!lance){
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNom()+" boit "+this.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(buveur.getNomE()+" drink "+this.getNomE(),true);
				}
				else{
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNom()+" se brise sur "+buveur.getNom(),false);
					monde.jeuPan.messagesPanel.remplissageMessages(this.getNomE()+" hits "+buveur.getNomE(),true);
				
				}
				
			}
			
			//int slow=(int)(Math.abs(Math.random()*20))+1;
			buveur.setDureeEffetSlow((int)(Math.abs(Math.random()*50))+1);
			
			//System.out.println(slow);//
			
			while(buveur.getDureeEffetSlow()>0){
				
				
				//monde.jeuPan.messagesPanel.remplissageMessages("Vous etes lent...");//
				monde.tourMonde();
				buveur.setDureeEffetSlow(buveur.getDureeEffetSlow()-1);
			}
		
		}
		
}///////////////////////////////temporaire		
		
		
		
		
		
		
		
		
//////////////////////////////	temporaire
//////////////////////////////	temporaire
//////////////////////////////	temporaire
if(buveur.getTypeObjet().compareTo("PJ")==0){ // que pour le Perso pour le moment
	
			
		if(getModele().compareTo("fountain")==0){
			
			int hazar=(int)(Math.random()*100)+1;
			
			
			
			if(hazar<=25){
				monde.jeuPan.messagesPanel.remplissageMessages("Poison !",false);
				monde.jeuPan.messagesPanel.remplissageMessages("Poison !",true);
				//perso.setCurrentHitPts(perso.getCurrentHitPts()-20);
				
				
				buveur.setDegatPoisonned(buveur.getDegatPoisonned()+5);
				buveur.setPoisonned(true);
				buveur.setDureeEffetPoisonned(buveur.getDureeEffetPoisonned()+((int)(Math.abs(Math.random()*100))+1));
			
				
				
			}
			
			if(hazar>25 && hazar<=50){
				monde.jeuPan.messagesPanel.remplissageMessages("Rafraichissant",false);
				monde.jeuPan.messagesPanel.remplissageMessages("Refreshing",true);
				monde.jeuPan.messagesPanel.remplissageMessages("Vous recuperez 50 pts de vie !",false);
				monde.jeuPan.messagesPanel.remplissageMessages("You recover 50 hits points !",true);
			
				
				buveur.setCurrentHitPts(buveur.getCurrentHitPts()+50);
			
				if(buveur.getCurrentHitPts()>buveur.getMaxHitPts()){
					buveur.setCurrentHitPts(buveur.getMaxHitPts());
				}
			}
			
			if(hazar>50 && hazar<=75){
				monde.jeuPan.messagesPanel.remplissageMessages("La fontaine disparait",false);
				monde.jeuPan.messagesPanel.remplissageMessages("The fountain disappears",true);
				monde.grille[buveur.getCooX()][buveur.getCooY()].remove(this);
				new ThreadSon("./sons/harp.wav",0).start();
			}
			
			
			if(hazar>75){
				
				ElementalCategory sk=new ElementalCategory(monde,false,"smallwaterelemental","Un elementaire d eau","A water elemental",true,"Creature",true,"./images/creatures/elemental/waterelemental.gif","./images/creatures/corpse.gif","./sons/waterel.wav");
				sk.setCooX(buveur.getCooX()+1);
				sk.setCooY(buveur.getCooY());
				monde.grille[buveur.getCooX()+1][buveur.getCooY()].add(sk);
				monde.jeuPan.messagesPanel.remplissageMessages("Une creature sort de la fontaine !",false);
				monde.jeuPan.messagesPanel.remplissageMessages("A creature appears !",true);
			}
			
			
		}
		
		
}///////////////////////////////temporaire		
		
		
		
		//Enleve la potion du sol
		if(getModele().compareTo("fountain")!=0){
			//monde.grille[buveur.getCooX()][buveur.getCooY()].remove(this);
			//System.out.println(getNom()+" "+"x "+(int)monde.getCoordonneesXY(this).getX()+" y "+(int)monde.getCoordonneesXY(this).getY());
			
			monde.grille[(int)monde.getCoordonneesXY(this).getX()][(int)monde.getCoordonneesXY(this).getY()].remove(this);
		}
		



		
		
	}
	
}